Bug 598523 - luksOpen mishandles newline for keyfile input on stdin
Summary: luksOpen mishandles newline for keyfile input on stdin
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cryptsetup-luks (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 569949
TreeView+ depends on / blocked
 
Reported: 2010-06-01 14:53 UTC by Milan Broz
Modified: 2013-03-01 04:09 UTC (History)
8 users (show)

Fixed In Version: cryptsetup-luks-1.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 20:04:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milan Broz 2010-06-01 14:53:17 UTC
Description of problem:

There is a regression (introduced in 1.1.1 version) in handling
key files containing new line characters (affects only files read from
standard input).

Fixed upstream in cryptsetup 1.1.2.

Bug is in cryptsetup-luks-1.1.1-1.el6

Comment 1 RHEL Product and Program Management 2010-06-01 14:55:51 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Milan Broz 2010-06-07 08:25:19 UTC
Fixed in cryptsetup-luks-1.1.2-1.el6.

Comment 4 Pavel Holica 2010-07-09 08:28:36 UTC
What is purpose of this fix please? I've tried several methods of key input and observed same behaviour on cryptsetup-luks-1.1.1-1.el6 and cryptsetup-luks-1.1.2-1.el6
Thanks.

Comment 5 Milan Broz 2010-07-09 09:06:40 UTC
see
http://code.google.com/p/cryptsetup/wiki/Cryptsetup112

this part of internal upstream test should cover the problem
prepare "[14] format/open - passphrase on stdin & new line"

Comment 6 Pavel Holica 2010-07-09 10:43:49 UTC
Thanks, I was able to reproduce and verify the fix with this test.

Verified on RHEL6.0-20100707.4 x86_64 Sever with cryptsetup-luks-1.1.2-1.el6

Comment 7 releng-rhel@redhat.com 2010-11-10 20:04:59 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.